Add API for additional required plugins

If a theme / plugin requires / depends on another plugin, show a note to allow/deny during install.

Maybe include a way to preset options/data for the additional plugin, e.g. if CF7 is required, auto-install it (if “allow” is selected) and provide/install custom premade contact-forms.


Read-only archive: https://petitions.classicpress.net/posts/26/add-api-for-additional-required-plugins

Author: Dora D.

Vote count: 14

Status: planned

Tags:

  • request-add-feature

Comments

@wadestriebel Is this still slated for version 2? I see your message update, but I have a feeling it’s an old one and might be outdated as dependencies haven’t been mentioned recently.

Not going to be done in time for version 2.

2 Likes